Loading...
Searching...
No Matches
Opm::ReservoirCoupling::CouplingInfo Class Reference

## Public Types

enum class | CouplingFileFlag { NONE , FORMATTED , UNFORMATTED }

## Public Member Functions

bool | operator== (const CouplingInfo &other) const
const GrupSlav & | grupSlav (const std::string &name) const
const std::map< std::string, GrupSlav > & | grupSlavs () const
std::map< std::string, GrupSlav > & | grupSlavs ()
int | grupSlavCount () const
bool | hasGrupSlav (const std::string &name) const
bool | hasMasterGroup (const std::string &name) const
bool | hasSlave (const std::string &name) const
const std::map< std::string, MasterGroup > & | masterGroups () const
std::map< std::string, MasterGroup > & | masterGroups ()
const MasterGroup & | masterGroup (const std::string &name) const
int | masterGroupCount () const
double | masterMinTimeStep () const
CouplingFileFlag | readCouplingFileFlag () const
const std::string & | readCouplingFileName () const
void | setMasterMinTimeStep (double tstep)
void | setReadCouplingFileFlag (CouplingFileFlag flag)
void | setReadCouplingFileName (const std::string &file_name)
void | setWriteCouplingFileFlag (CouplingFileFlag flag)
const std::map< std::string, Slave > & | slaves () const
std::map< std::string, Slave > & | slaves ()
const Slave & | slave (const std::string &name) const
int | slaveCount () const
template<class Serializer>
void | serializeOp (Serializer &serializer)
CouplingFileFlag | writeCouplingFileFlag () const

## Static Public Member Functions

static CouplingInfo | serializationTestObject ()
static CouplingFileFlag | couplingFileFlagFromString (const std::string &flag_str, const DeckKeyword &keyword)

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/ResCoup/ReservoirCouplingInfo.hpp
- opm/input/eclipse/Schedule/ResCoup/ReservoirCouplingInfo.cpp